Index: code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 7890)
+++ code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 7893)
@@ -43,7 +43,8 @@
     LastTeamStanding::LastTeamStanding(BaseObject* creator) : TeamDeathmatch(creator)
     {
+        RegisterObject(LastTeamStanding);
         this->bForceSpawn_ = true;
         this->lives = 1;//4
-        this->eachTeamsPlayers.reserve(teams_);
+        //this->eachTeamsPlayers.reserve(teams_);
         this->teamsAlive = 0;
         this->bMinTeamsReached = false;
@@ -58,5 +59,5 @@
     {
         this->playerLives_.clear();
-        this->eachTeamsPlayers.clear();
+        //this->eachTeamsPlayers.clear();
         this->timeToAct_.clear();
         this->playerDelayTime_.clear();
@@ -72,9 +73,9 @@
             playerLives_[player]=lives;
         else
-            playerLives_[player]=getMinLives();//new players only get minimum of lives
-        
-        if(this->eachTeamsPlayers[getTeam(player)]==0) //if a player is the first in his group, a new team is alive
-            this->teamsAlive++;
-        this->eachTeamsPlayers[getTeam(player)]++; //the number of player in this team is increased
+            playerLives_[player]=getMinLives();//new players only get minimum of lives */
+        
+        //if(this->eachTeamsPlayers[getTeam(player)]==0) //if a player is the first in his group, a new team is alive
+          //  this->teamsAlive++;
+        //this->eachTeamsPlayers[getTeam(player)]++; //the number of player in this team is increased
 
         if (teamsAlive>1) // Now the game is allowed to end, since there are at least two teams.
@@ -90,9 +91,9 @@
         if (valid_player)
         {
-            this->eachTeamsPlayers[getTeam(player)]--;       // a player left the team
-            if(this->eachTeamsPlayers[getTeam(player)] == 0) // if it was the last player a team died
-                 this->teamsAlive--;
+            //this->eachTeamsPlayers[getTeam(player)]--;       // a player left the team
+            //if(this->eachTeamsPlayers[getTeam(player)] == 0) // if it was the last player a team died
+             //    this->teamsAlive--;
             this->playerLives_.erase(player);
-            this->eachTeamsPlayers.clear();
+            //this->eachTeamsPlayers.clear();
             this->timeToAct_.erase(player);
             this->playerDelayTime_.erase(player);
@@ -114,6 +115,6 @@
         if (playerLives_[victim->getPlayer()]<=0) //if player lost all lives
         {
-            this->eachTeamsPlayers[getTeam(victim->getPlayer())]--;
-            if(eachTeamsPlayers[getTeam(victim->getPlayer())] == 0) //last team member died
+            //this->eachTeamsPlayers[getTeam(victim->getPlayer())]--;
+            //if(eachTeamsPlayers[getTeam(victim->getPlayer())] == 0) //last team member died
                 this->teamsAlive--;
             const std::string& message = victim->getPlayer()->getName() + " has lost all lives";
@@ -165,5 +166,5 @@
         
         this->timeToAct_[player] = timeRemaining + 3.0f + respawnDelay;//reset timer
-        this->playerDelayTime_[player] = respawnDelay;
+        //this->playerDelayTime_[player] = respawnDelay;
         
         std::map<PlayerInfo*, Player>::iterator it = this->players_.find(player);
@@ -239,9 +240,4 @@
             else
                 this->gtinfo_->sendAnnounceMessage("You have lost the match!", it->first->getClientID());
-        /*//erase maps:
-            this->playerLives_.erase(it->first);
-            this->playerDelayTime_.erase (it->first);
-            this->inGame_.erase (it->first);
-            this->timeToAct_.erase(it->first);*/
         }
 
Index: code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.h	(revision 7890)
+++ code/branches/lastmanstanding2/src/orxonox/gametypes/LastTeamStanding.h	(revision 7893)
@@ -54,5 +54,5 @@
             int lives; //!< Standard amount of lives. Each player starts a game with so many lives.
             std::map< PlayerInfo*, int > playerLives_; //!< Each player's lives are stored here.
-            std::vector<int> eachTeamsPlayers; //!<Number of players in each team.
+            //std::vector<int> eachTeamsPlayers; //!<Number of players in each team. !!!!!!!!!!!!!!
             int teamsAlive; //!< Counter counting teams with more than one player remaining.
 //Data for CamperPunishment
